<?php
    require_once '../../../datab.php';

    $response = [];

    $batch_id = isset($_POST['batch_id']) ? intval($_POST['batch_id']) : 0;
    $type = isset($_POST['type']) ? $_POST['type'] : '';

    if ($batch_id > 0) {
        if ($type == 'ip') {
            // Query for 'ip' type
            $sql = "SELECT 
                        *,
                        DATE_FORMAT(dateTime, '%d-%b-%Y %h:%i %p') AS formatted_dateTime,
                        created_by,
                        user_type
                    FROM 
                        ip_medications_items
                    WHERE 
                        ip_medications_batch_id = ?";
        } elseif ($type == 'ob') {
            // Query for 'ob' type
            $sql = "SELECT 
                        *,
                        DATE_FORMAT(dateTime, '%d-%b-%Y %h:%i %p') AS formatted_dateTime,
                        created_by,
                        user_type
                    FROM 
                        ob_medications_items
                    WHERE 
                        ip_medications_batch_id = ?";
        } else {
            $response['status'] = 'Error';
            $response['remarks'] = 'Invalid type';
            echo json_encode($response);
            exit;
        }

        // Prepare and execute the query
        if ($stmt = mysqli_prepare($conn, $sql)) {
            mysqli_stmt_bind_param($stmt, "i", $batch_id);
            mysqli_stmt_execute($stmt);
            $result = mysqli_stmt_get_result($stmt);

            $data = [];
            while ($row = mysqli_fetch_assoc($result)) {
                $data[] = $row;
            }

            $response['data'] = $data;
            $response['status'] = 'Success';
            $response['remarks'] = 'Data retrieved successfully';
        } else {
            $response['status'] = 'Error';
            $response['remarks'] = 'Error preparing query: ' . mysqli_error($conn);
        }
    } else {
        $response['status'] = 'Error';
        $response['remarks'] = 'Invalid batch ID';
    }

    // Return the JSON response
    echo json_encode($response);
?>
