<?php
require_once '../../../datab.php';
require_once '../../../getCUT.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $patientRecordId = $_POST['patient_record_id'];
    $userType = $_POST['user_type'];
    $medicines = json_decode($_POST['med_data'], true); // Decode JSON into associative array

    if (empty($medicines)) {
        // Respond with error indicating no data received
        $response = array("status" => "Error", "error" => "No medicines data received.");
        echo json_encode($response);
        exit;
    }

    $dateTime = date('Y-m-d H:i:s'); // Define the current date and time
    $created_by = 'system'; // Assuming this is set somewhere in your actual code

    if ($userType == 'ob') {
        $medBatchTable = 'ob_medications_batch';
        $medItemsTable = 'ob_medications_items';

        $insertMedBatch = mysqli_query($conn, "INSERT INTO $medBatchTable (`patient_record_id`, `paymentStatus`, `status`, `createdOn`, `createdBy`, `createdUserType`)
                                                VALUES ('$patientRecordId', 'unpaid', 'Active', '$dateTime', '$created_by', '$userType')");

        if (!$insertMedBatch) {
            $response = array("status" => "Error", "error" => "Failed to insert medication batch.");
            echo json_encode($response);
            exit;
        }

        $insertMedBatchId = mysqli_insert_id($conn);

        foreach ($medicines as $medicine) {
            $tab_id = $medicine['tab_id'];
            $dosage_id = $medicine['dosage_id'];
            $tabletName = $medicine['tablet_name'];
            $dosage = $medicine['dosage'];
            $type = $medicine['type'];
            $drugType = $medicine['drug_type'];
            $timeTaken = $medicine['time_taken'];
            $frequency = $medicine['frequency'];
            $duration = $medicine['duration'];
            $status = 'Active';
            $medBatchId = $insertMedBatchId;

            $stmt = $conn->prepare("INSERT INTO $medItemsTable (`patient_record_id`, `tablet_id`, `dosage_id`, `drug`, `dosage`, `type`, `drug_type`, `time_taken`, `frequency`, `duration`, `user_type`, `dateTime`, `created_by`, `status`, `ip_medications_batch_id`) 
                                    VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
            $stmt->bind_param("iisssssssissssi", $patientRecordId, $tab_id, $dosage_id, $tabletName, $dosage, $type, $drugType, $timeTaken, $frequency, $duration, $userType, $dateTime, $created_by, $status, $medBatchId);

            if (!$stmt->execute()) {
                $response = array("status" => "Error", "error" => "Failed to insert medication item.");
                echo json_encode($response);
                exit;
            }
        }
    } elseif ($userType == 'ip') {
        $medBatchTable = 'ip_medications_batch';
        $medItemsTable = 'ip_medications_items';

        $insertMedBatch = mysqli_query($conn, "INSERT INTO $medBatchTable (`patient_record_id`, `paymentStatus`, `status`, `createdOn`, `createdBy`, `createdUserType`)
                                                VALUES ('$patientRecordId', 'unpaid', 'Active', '$dateTime', '$created_by', '$userType')");

        if (!$insertMedBatch) {
            $response = array("status" => "Error", "error" => "Failed to insert medication batch.");
            echo json_encode($response);
            exit;
        }

        $insertMedBatchId = mysqli_insert_id($conn);

        foreach ($medicines as $medicine) {
            $tab_id = $medicine['tab_id'];
            $dosage_id = $medicine['dosage_id'];
            $tabletName = $medicine['tablet_name'];
            $dosage = $medicine['dosage'];
            $type = $medicine['type'];
            $drugType = $medicine['drug_type'];
            $timeTaken = $medicine['time_taken'];
            $frequency = $medicine['frequency'];
            $duration = $medicine['duration'];
            $status = 'Active';
            $medBatchId = $insertMedBatchId;

            $stmt = $conn->prepare("INSERT INTO $medItemsTable (`patient_record_id`, `tablet_id`, `dosage_id`, `drug`, `dosage`, `type`, `drug_type`, `time_taken`, `frequency`, `duration`, `user_type`, `dateTime`, `created_by`, `status`, `ip_medications_batch_id`) 
                                    VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
            $stmt->bind_param("iisssssssissssi", $patientRecordId, $tab_id, $dosage_id, $tabletName, $dosage, $type, $drugType, $timeTaken, $frequency, $duration, $userType, $dateTime, $created_by, $status, $medBatchId);

            if (!$stmt->execute()) {
                $response = array("status" => "Error", "error" => "Failed to insert medication item.");
                echo json_encode($response);
                exit;
            }
        }
    } else {
        // Respond with error indicating invalid user type
        $response = array("status" => "Error", "error" => "Invalid user type.");
        echo json_encode($response);
        exit;
    }

    $response = array("status" => "Success");
    echo json_encode($response);
    exit;
} else {
    $response = array("status" => "Error", "error" => "Invalid request method.");
    echo json_encode($response);
    exit;
}
?>
